/* Estilos para 4K (max-width: 2560px) */
@media screen and (max-width: 2560px) {
    html {
        --xs: 1.6rem;
        --sm: 2rem;
        --md: 2.4rem;
        --lg: 3rem;
        --xl: 4rem;
        --header-height: 10rem;
    }

    header {
        height: var(--header-height);
    }

    .logocontainer {
        width: 12rem;
        height: 9rem;
    }

    .pelogo {
        width: 11rem;
        height: 8.5rem;
    }

    .pelogo a img {
        width: 10rem;
        height: 10rem;
    }

    .lista .items {
        font-size: var(--lg);
        padding: 1.5rem 3rem;
        margin: 0;
    }

    .lista .items:hover::before {
        width: 90%;
    }

    main {
        justify-content: center;
        /* Centra el contenido en el eje Y */
        padding-top: var(--header-height);
        /*Espacio entre el header y el contenido principal*/
    }

    section {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        /* Centra el contenido horizontalmente */
        width: 100%;
    }

    .contenido {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .saludo {
        font-size: var(--lg);
        margin-top: 4rem;
        margin-bottom: 3rem;
        text-align: center;
        line-height: 1.2;
    }

    .nombre {
        font-size: var(--xl);
        margin-top: 1rem;
        margin-bottom: 3rem;
        text-align: center;
        line-height: 1.2;
    }

    .descripcion {
        font-size: var(--md);
        margin-bottom: 3rem;
        text-align: center;
        line-height: 1.3;
    }

    h3 {
        font-size: var(--lg);
        margin-top: 4rem;
        margin-bottom: 3rem;
        text-align: center;
        line-height: 1.2;
    }

    .redes-sociales .social {
        bottom: 4rem;
        margin-bottom: 1.5rem;
    }

    .e-mail .mail {
        bottom: 1rem;
    }

    footer {
        position: relative;
        margin-top: 4rem;
    }
}

/* Estilos para Tablet (max-width: 768px) */
@media screen and (max-width: 768px) {
    html {
        --xs: 1.1rem;
        --sm: 1.3rem;
        --md: 1.6rem;
        --lg: 1.8rem;
        --xl: 2.4rem;
        --header-height: 6rem;
    }

    body {
        display: flex;
        flex-direction: column;
        min-height: 100vh;
    }

    header {
        height: var(--header-height);
        padding: 0 1rem;
    }

    .logocontainer {
        width: 7rem;
        height: 5.5rem;
    }

    .pelogo {
        width: 6rem;
        height: 5rem;
    }

    .pelogo a img {
        width: 5rem;
        height: 5rem;
    }

    /* Menú desplegable */
    .lista {
        display: none;
        /* Ocultar menú por defecto */
        position: fixed;
        top: var(--header-height);
        /* Ajustar posición bajo el header */
        right: 0;
        width: 40%;
        /* Ocupa el 40% del ancho de la pantalla */
        height: calc(100vh - var(--header-height));
        /* Ajustar altura al restante del viewport */
        padding: 1rem;
        transition: transform 0.3s ease-in-out;
        background-color: var(--color-primario);
        transform: translateX(100%);
        /* Ocultar fuera del lado derecho inicialmente */
    }

    .lista.active {
        display: flex;
        transform: translateX(0%);
        /* Mostrar al aplicar la clase .active */
    }

    .lista .items {
        font-size: var(--sm);
        /* Tamaño de fuente para los items del menu */
        padding: 0.8rem;
        margin: 0.5rem 1rem;
    }

    .lista .items:hover::before {
        width: 60%;
    }

    .menu-hamburguesa {
        display: flex;
        /* Mostrar el icono */
        width: 3rem;
        height: 3rem;
    }

    main {
        justify-content: center;
        /* Centra el contenido en el eje Y */
        padding-top: var(--header-height);
        /*Espacio entre el header y el contenido principal*/
    }

    section {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        /* Centra el contenido horizontalmente */
        width: 100%;
    }

    .contenido {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .saludo {
        font-size: var(--lg);
        margin-top: 1.5rem;
        margin-bottom: 1.5rem;
        text-align: center;
        line-height: 1.2;
    }

    .nombre {
        font-size: var(--xl);
        margin-top: 0.5rem;
        margin-bottom: 1.8rem;
        text-align: center;
        line-height: 1.2;
    }

    .descripcion {
        font-size: var(--md);
        margin-bottom: 1.8rem;
        text-align: center;
        line-height: 1.3;
    }

    h3 {
        font-size: var(--lg);
        margin-top: 1.5rem;
        margin-bottom: 1.8rem;
        text-align: center;
        line-height: 1.2;
    }

    .redes-sociales .social {
        bottom: 4rem;
        margin-bottom: 1.5rem;
    }

    .e-mail .mail {
        bottom: 1rem;
    }

    /* FOOTER */
    footer {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        position: absolute;
        bottom: 0;
        width: 100%;
        background-color: var(--color-primario);
        padding: 1rem 0;
        text-align: center;
    }

    .redes-sociales {
        display: flex;
        flex-direction: row;
        justify-content: center;
        position: absolute;
        gap: 1rem;
        margin-top: 0.5rem;
    }

    .redes-sociales .social {
        display: flex;
        flex-direction: row;
        justify-content: center;
        gap: 1rem;
        margin: 0.5rem;
        color: var(--color-cuaternario);
        position: absolute;
        bottom: 4rem;
    }

    .e-mail {
        display: flex;
        flex-direction: row;
        justify-content: center;
        position: absolute;
        gap: 1rem;
        margin-top: 0.5rem;
        margin-bottom: 2.5rem;
    }

    .e-mail .mail {
        display: flex;
        flex-direction: row;
        justify-content: center;
        position: absolute;
        bottom: 1rem;
        writing-mode: horizontal-tb;
    }

    .e-mail .mail .ac {
        display: flex;
        flex-direction: row;
        justify-content: center;
        position: absolute;
        gap: 1rem;
        margin-top: 0.5rem;
    }
}

@media screen and (max-width: 425px) {
    html {
        --xs: 1rem;
        --sm: 1.2rem;
        --md: 1.4rem;
        --lg: 1.6rem;
        --xl: 2rem;
        --header-height: 5rem;
    }

    *,
    *::after,
    *::before {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }

    body {
        display: flex;
        flex-direction: column;
        min-height: 100vh;
    }

    header {
        animation: slideDown 0.8s ease-out;
        /* Suaviza la aparición del header */
        background-color: var(--color-primario);
        width: 100%;
        height: var(--header-height);
        position: fixed;
        top: 0;
        z-index: 1000;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 0 0.1rem;
        box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
    }

    .nav {
        padding: 0 1rem;
    }

    .logocontainer {
        display: flex;
        align-items: center;
        /* justify-content: center; */
        /* position: relative; */
        top: 0;
        left: 0.1rem;
        width: 5.5rem;
        height: 4.5rem;
    }

    .pelogo {
        display: block;
        position: relative;
        top: 0;
        left: 0.1rem;
        width: 5rem;
        height: 4rem;
        text-align: center;
        line-height: 1px;
    }

    .pelogo a {
        text-decoration: none;
        top: 0;
        left: 0.1rem;
    }

    .pelogo a img {
        top: 0;
        left: 0.1rem;
        width: 4rem;
        height: 4rem;
    }

    /* Menú desplegable */
    .lista {
        display: none;
        flex-direction: column;
        position: fixed;
        top: 4rem;
        right: 1%;
        background: var(--color-primario);
        width: 50%;
        height: calc(100vh - var(--header-height));
        padding: 1rem;
        transition: right 0.3s ease;
        box-shadow: -4px 4px 8px rgba(0, 0, 0, 0.2);
    }

    .lista.active {
        display: flex;
        right: -3rem;
    }

    .lista .items {
        text-decoration: none;
        font-family: var(--font-family-principal);
        color: var(--color-cuaternario);
        font-size: var(--md);
        padding: 0.5rem;
        position: relative;
        margin: 0 1rem;
        list-style: none;
        padding-bottom: 0.5rem;
        letter-spacing: 0.15rem;
    }

    .lista .items:hover {
        color: var(--color-terciario);
    }

    .lista .items:active {
        color: var(--color-cuaternario);
    }

    .lista .items::before {
        content: "";
        position: absolute;
        height: 0.1rem;
        width: 0;
        bottom: 0;
        transition: all .3s ease;
    }

    .lista .items:hover::before {
        content: "";
        position: absolute;
        height: 0.2rem;
        width: 40%;
        bottom: 0;
        background-color: var(--color-cuaternario);
    }

    /* Animaciones */
    @keyframes slideDown {
        from {
            transform: translateY(-100%);
            opacity: 0;
        }

        to {
            transform: translateY(0);
            opacity: 1;
        }
    }

    .menu-hamburguesa {
        display: block;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 2.5rem;
        height: 2.5rem;
        background: transparent;
        border: none;
        cursor: pointer;
        padding: 0.25rem;
        transition: transform 0.3s ease;
    }

    .menu-hamburguesa:hover {
        transform: scale(1.1);
    }

    .menu-hamburguesa:active {
        transform: scale(0.95);
    }

    main {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        /* height: 100vh; */
        width: 100%;
        /* max-width: 10000px; */
        /* Limitar el ancho.maxcdn.css */
    }

    section {
        display: grid;
        grid-template-columns: 10% 80%;
        align-items: left;
        justify-content: center;
    }

    .saludo {
        text-align: left;
        color: var(--color-cuaternario);
        font-size: var(--md);
        word-spacing: 0.1rem;
        letter-spacing: 0.1rem;
        margin-top: 10rem;
        margin-bottom: 1rem;
        /* padding-top: 20rem; */
    }

    .nombre {
        text-align: left;
        font-family: var(--font-family-principal);
        color: var(--color-secundario);
        font-size: var(--xl);
        word-spacing: 0.5rem;
        letter-spacing: 0.2rem;
        margin-top: 0.1rem;
        margin-bottom: 1.2rem;
    }

    .descripcion {
        text-align: left;
        color: var(--color-terciario);
        font-size: var(--sm);
        margin-bottom: 1.4rem;
        word-spacing: 0.5rem;
        letter-spacing: 0.4rem;
    }

    h3 {
        text-align: left;
        color: var(--color-cuaternario);
        font-size: var(--md);
        margin-top: 1rem;
        margin-bottom: 1.2rem;
        word-spacing: 0.5rem;
        letter-spacing: 0.15rem;
    }

    /* FOOTER */
    footer {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        position: absolute;
        bottom: 0;
        width: 100%;
        background-color: var(--color-primario);
        padding: 1rem 0;
        text-align: center;
    }

    .redes-sociales {
        display: flex;
        flex-direction: row;
        justify-content: center;
        position: absolute;
        gap: 1rem;
        margin-top: 0.5rem;
    }

    .redes-sociales .social {
        display: flex;
        flex-direction: row;
        justify-content: center;
        gap: 1rem;
        margin: 0.5rem;
        color: var(--color-cuaternario);
        position: absolute;
        bottom: 4rem;
    }

    .e-mail {
        display: flex;
        flex-direction: row;
        justify-content: center;
        position: absolute;
        gap: 1rem;
        margin-top: 0.5rem;
        margin-bottom: 2.5rem;
    }

    .e-mail .mail {
        display: flex;
        flex-direction: row;
        justify-content: center;
        position: absolute;
        bottom: 1rem;
        writing-mode: horizontal-tb;
    }

    .e-mail .mail .ac {
        display: flex;
        flex-direction: row;
        justify-content: center;
        position: absolute;
        gap: 1rem;
        margin-top: 0.5rem;
    }

    
    @keyframes slideDown {
        from {
            transform: translateY(-100%);
            opacity: 0;
        }

        to {
            transform: translateY(0);
            opacity: 1;
        }
    }
}


@media screen and (max-width: 320px) {
    html {
            --xs: 1rem;
            --sm: 1.2rem;
            --md: 1.4rem;
            --lg: 1.6rem;
            --xl: 2rem;
            --header-height: 5rem;
        }
    
    *,
    *::after,
    *::before {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }

    body {
        display: flex;
        flex-direction: column;
        min-height: 100vh;
    }

    header {
        animation: slideDown 0.8s ease-out;
        /* Suaviza la aparición del header */
        background-color: var(--color-primario);
        width: 100%;
        height: var(--header-height);
        position: fixed;
        top: 0;
        z-index: 1000;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 0 0.1rem;
        box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
    }

    .nav {
        padding: 0 1rem;
    }

    .logocontainer {
        display: flex;
        align-items: center;
        /* justify-content: center; */
        /* position: relative; */
        top: 0;
        left: 0.1rem;
        width: 5.5rem;
        height: 4.5rem;
    }

    .pelogo {
        display: block;
        position: relative;
        top: 0;
        left: 0.1rem;
        width: 5rem;
        height: 4rem;
        text-align: center;
        line-height: 1px;
    }

    .pelogo a {
        text-decoration: none;
        top: 0;
        left: 0.1rem;
    }

    .pelogo a img {
        top: 0;
        left: 0.1rem;
        width: 4rem;
        height: 4rem;
    }

    /* Menú desplegable */
    .lista {
        display: none;
        flex-direction: column;
        position: fixed;
        top: 4rem;
        right: 1%;
        background: var(--color-primario);
        width: 50%;
        height: calc(100vh - var(--header-height));
        padding: 1rem;
        transition: right 0.3s ease;
        box-shadow: -4px 4px 8px rgba(0, 0, 0, 0.2);
    }

    .lista.active {
        display: flex;
        right: -3rem;
    }

    .lista .items {
        text-decoration: none;
        font-family: var(--font-family-principal);
        color: var(--color-cuaternario);
        font-size: var(--md);
        padding: 0.5rem;
        position: relative;
        margin: 0 1rem;
        list-style: none;
        padding-bottom: 0.5rem;
        letter-spacing: 0.15rem;
    }

    .lista .items:hover {
        color: var(--color-terciario);
    }

    .lista .items:active {
        color: var(--color-cuaternario);
    }

    .lista .items::before {
        content: "";
        position: absolute;
        height: 0.1rem;
        width: 0;
        bottom: 0;
        transition: all .3s ease;
    }

    .lista .items:hover::before {
        content: "";
        position: absolute;
        height: 0.2rem;
        width: 40%;
        bottom: 0;
        background-color: var(--color-cuaternario);
    }

    /* Animaciones */
    @keyframes slideDown {
        from {
            transform: translateY(-100%);
            opacity: 0;
        }

        to {
            transform: translateY(0);
            opacity: 1;
        }
    }

    .menu-hamburguesa {
        display: block;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 2.5rem;
        height: 2.5rem;
        background: transparent;
        border: none;
        cursor: pointer;
        padding: 0.25rem;
        transition: transform 0.3s ease;
    }

    .menu-hamburguesa:hover {
        transform: scale(1.1);
    }

    .menu-hamburguesa:active {
        transform: scale(0.95);
    }

    main {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        align-items: left;
        justify-content: space-between;
        /* height: 100vh; */
        width: 100%;
        /* max-width: 10000px; */
        /* Limitar el ancho.maxcdn.css */
    }

    section {
        display: grid;
        grid-template-columns: 10% 80%;
        align-items: left;
        justify-content: center;
    }

    .saludo {
        text-align: left;
        color: var(--color-cuaternario);
        font-size: var(--md);
        word-spacing: 0.1rem;
        letter-spacing: 0.1rem;
        margin-top: 10rem;
        margin-bottom: 1rem;
        /* padding-top: 20rem; */
    }

    .nombre {
        text-align: left;
        font-family: var(--font-family-principal);
        color: var(--color-secundario);
        font-size: var(--lg);
        word-spacing: 0.5rem;
        letter-spacing: 0.2rem;
        margin-top: 0.1rem;
        margin-bottom: 1.2rem;
    }

    .descripcion {
        text-align: left;
        color: var(--color-terciario);
        font-size: var(--sm);
        margin-bottom: 1.4rem;
        word-spacing: 0.2rem;
        letter-spacing: 0.4rem;
    }

    h3 {
        text-align: left;
        color: var(--color-cuaternario);
        font-size: var(--md);
        margin-top: 1rem;
        margin-bottom: 1.2rem;
        word-spacing: 0.5rem;
        letter-spacing: 0.15rem;
    }

    /* FOOTER */
    footer {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        position: absolute;
        bottom: 0;
        width: 100%;
        background-color: var(--color-primario);
        padding: 1rem 0;
        text-align: center;
    }

    .redes-sociales {
        display: flex;
        flex-direction: row;
        justify-content: center;
        position: absolute;
        gap: 1rem;
        margin-top: 0.5rem;
    }

    .redes-sociales .social {
        display: flex;
        flex-direction: row;
        justify-content: center;
        gap: 1rem;
        margin: 0.5rem;
        color: var(--color-cuaternario);
        position: absolute;
        bottom: 4rem;
    }

    .e-mail {
        display: flex;
        flex-direction: row;
        justify-content: center;
        position: absolute;
        gap: 1rem;
        margin-top: 0.5rem;
        margin-bottom: 2.5rem;
    }

    .e-mail .mail {
        display: flex;
        flex-direction: row;
        justify-content: center;
        position: absolute;
        bottom: 1rem;
        writing-mode: horizontal-tb;
    }

    .e-mail .mail .ac {
        display: flex;
        flex-direction: row;
        justify-content: center;
        position: absolute;
        gap: 1rem;
        margin-top: 0.5rem;
    }


    @keyframes slideDown {
        from {
            transform: translateY(-100%);
            opacity: 0;
        }

        to {
            transform: translateY(0);
            opacity: 1;
        }
    }
}


